Subject: Re: Re: build php4.3.0 as a module for apache_1.3.27 (Cygwin) fail
From: [email-masked]
To: Stipe Tolj<[email-masked]>
Cc: cygwin<[email-masked]>, [email-masked], [email-masked]
Date: Sat, 18 Jan 2003 03:56:16 +0100

Thanks Elfyn and Stipe.

I will try a php forum application ( FUDforum 2.3.6 ) on cygwin. The installation ( install.php ) for this forum need php.exe.
But the sources provided with cygwin, will just install the mod_php4, there is no php.exe.
So i have to install apache and php myself.

Stipe Tolj wrote:
>no, it's because php dies include the Win32 native expat code and the
>DLL import fails.

>Check the patch that is included in the php module from the Cygwin
>setup package. There you will find the necessary files and changes to
>stop that undefined reference errors while linking.

I have not really understand. I have check the package apache-php-4.2.0-1.tar.bz2, in php-4.2.0-1.README:

Pre-required packages: 
apache-1.3.x
(and various other packages, depending on
the php setup you would like to compile)

To build the shared module DLL for cygwin:

  tar xjvf apache-php-X-Y-src.tar.bz2
  patch -p0 < php-X-Y/CYGWIN-PATCHES/php-X-Y.patch
  cd php-X-Y
  autoconf
  ./configure --with-apxs=/usr/sbin/apxs \
    [additional --with-foobar directives]
  make
  cd sapi/apache/.libs
  ../../../CYGIN-PATCHES/mkdll.sh libsapi.la \
    -L ../../../.libs -lphp4 \
    [addional -lfoobar ld flags] \
    /usr/bin/cyghttpd.dll
  mv cygsapi.dll libphp4.dll
  /usr/sbin/apxs -i -a -n php4 libphp4.dll  

Rebasing shared DLLs:

In case you have depending DLLs for libphp4.dll it may
be necessary to rebase all used DLLs in this dlopen()
chain. Please see the Cygwin mailing list to see how
to rebase shared DLLs.

Is that all what i should do? But in php-4.3.0 there is no "php-X-Y/CYGWIN-PATCHES/php-X-Y.patch"
should I download php-4.2.0?  With the sources provided with cygwin, i can't build php.exe, right !?
Can you tell me a bit detail about :
>Check the patch that is included in the php module from the Cygwin
>setup package. There you will find the necessary files and changes to
>stop that undefined reference errors while linking.

I am a new man with cygwin, i hope i haven't waste you too much time. Thanks again.
regards

sail

--
Singles aufgepasst!
Spielend in Kontakt kommen und neue Freunde finden in der freenet.de Community!
Jetzt durchstarten unter: http://www.freenet.de/tipp/community/